ALTER SESSION ENABLE SHARD DDL;
CREATE SHARDED TABLE ACTIVITY 
(
	"TARGET" VARCHAR2(40 BYTE) NOT NULL ENABLE,
	"SEQ" VARCHAR2(20 BYTE) NOT NULL ENABLE,
	"TASK_ID" VARCHAR2(20 BYTE),
	"TASK_STATUS" VARCHAR2(20 BYTE),
	"SAVE_TIME" TIMESTAMP (6),
	"READ_STATUS" VARCHAR2(20 BYTE),
	"READ_NAME" VARCHAR2(20 BYTE),
	"READ_TIME" TIMESTAMP (6),
	"REMARKS" VARCHAR2(4000 BYTE),
	"EVENT_STARTTIME" TIMESTAMP (6),
	"EVENT_ENDTIME" TIMESTAMP (6),
	"EVENT_TYPE" VARCHAR2(20 BYTE),
	"DURATION" NUMBER(10,0),
	"CONTENT" VARCHAR2(4000 BYTE),
	"FILE_PATH" VARCHAR2(20 BYTE),
	"FILE_INFO" VARCHAR2(20 BYTE),
	"PROTOCOL" VARCHAR2(20 BYTE),
	"STATE" VARCHAR2(20 BYTE),
	"ISP" VARCHAR2(20 BYTE),
	"NETWORK" VARCHAR2(20 BYTE),
	"NETNAME" VARCHAR2(20 BYTE),
	"MEMO" VARCHAR2(20 BYTE),
	"S_ID" VARCHAR2(20 BYTE),
	"S_ACCOUNT" VARCHAR2(20 BYTE),
	"S_NAME" VARCHAR2(20 BYTE),
	"S_NICKNAME" VARCHAR2(20 BYTE),
	"S_IDNO" VARCHAR2(20 BYTE),
	"S_PHONENUM" VARCHAR2(20 BYTE),
	"S_EMAIL" VARCHAR2(20 BYTE),
	"S_SEX" VARCHAR2(20 BYTE),
	"S_PROVINCE" VARCHAR2(20 BYTE),
	"S_HOMEREA" VARCHAR2(20 BYTE),
	"S_IP" VARCHAR2(20 BYTE),
	"S_MAC" VARCHAR2(20 BYTE),
	"S_IMEI" VARCHAR2(20 BYTE),
	"S_IMSI" VARCHAR2(20 BYTE),
	"S_LOCATION" VARCHAR2(20 BYTE),
	"S_LONGITUDE" VARCHAR2(20 BYTE),
	"S_LATITUDE" VARCHAR2(20 BYTE),
	"T_ID" VARCHAR2(20 BYTE),
	"T_ACCOUNT" VARCHAR2(20 BYTE),
	"T_NAME" VARCHAR2(20 BYTE),
	"T_NICKNAME" VARCHAR2(20 BYTE),
	"T_IDNO" VARCHAR2(20 BYTE),
	"T_PHONENUM" VARCHAR2(20 BYTE),
	"T_PHONENUMTYPE" VARCHAR2(20 BYTE),
	"T_EMAIL" VARCHAR2(100 BYTE),
	"T_SEX" VARCHAR2(10 BYTE),
	"T_IP" VARCHAR2(20 BYTE),
	"T_PROVINCE" VARCHAR2(20 BYTE),
	"T_HOMEAREA" VARCHAR2(20 BYTE),
	"T_MAC" VARCHAR2(20 BYTE),
	"T_IMEI" VARCHAR2(20 BYTE),
	"T_IMSI" VARCHAR2(20 BYTE),
	"T_LOCATION" VARCHAR2(20 BYTE),
	"T_LONGITUDE" VARCHAR2(20 BYTE),
	"T_LATIUDE" VARCHAR2(20 BYTE),
	"TIME1" TIMESTAMP (6),
	"TIME2" TIMESTAMP (6),
	"TIME3" TIMESTAMP (6),
	"TIME4" TIMESTAMP (6),
	"TIME5" TIMESTAMP (6),
	"N1" NUMBER(20,0),
	"N2" NUMBER(20,0),
	"N3" NUMBER(20,0),
	"N4" NUMBER(20,0),
	"N5" NUMBER(20,0),
	"N6" NUMBER(20,0),
	"N7" NUMBER(20,0),
	"N8" NUMBER(20,0),
	"N9" NUMBER(20,0),
	"N10" NUMBER(20,0),
	"N11" NUMBER,
	"N12" NUMBER,
	"N13" NUMBER,
	"N14" NUMBER,
	"N15" NUMBER,
	"F1" VARCHAR2(100 BYTE),
	"F2" VARCHAR2(100 BYTE),
	"F3" VARCHAR2(100 BYTE),
	"F4" VARCHAR2(100 BYTE),
	"F5" VARCHAR2(100 BYTE),
	"F6" VARCHAR2(100 BYTE),
	"F7" VARCHAR2(100 BYTE),
	"F8" VARCHAR2(100 BYTE),
	"F9" VARCHAR2(100 BYTE),
	"F10" VARCHAR2(100 BYTE),
	"F11" VARCHAR2(100 BYTE),
	"F12" VARCHAR2(100 BYTE),
	"F13" VARCHAR2(100 BYTE),
	"F14" VARCHAR2(100 BYTE),
	"F15" VARCHAR2(100 BYTE),
	"F16" VARCHAR2(100 BYTE),
	"F17" VARCHAR2(100 BYTE),
	"F18" VARCHAR2(100 BYTE),
	"F19" VARCHAR2(100 BYTE),
	"F20" VARCHAR2(100 BYTE),
	"F21" VARCHAR2(200 BYTE),
	"F22" VARCHAR2(200 BYTE),
	"F23" VARCHAR2(200 BYTE),
	"F24" VARCHAR2(200 BYTE),
	"F25" VARCHAR2(200 BYTE),
	"F26" VARCHAR2(200 BYTE),
	"F27" VARCHAR2(200 BYTE),
	"F28" VARCHAR2(200 BYTE),
	"F29" VARCHAR2(200 BYTE),
	"F30" VARCHAR2(200 BYTE),
	"F31" VARCHAR2(200 BYTE),
	"F32" VARCHAR2(200 BYTE),
	"F33" VARCHAR2(200 BYTE),
	"F34" VARCHAR2(200 BYTE),
	"F35" VARCHAR2(200 BYTE),
	"F36" VARCHAR2(200 BYTE),
	"F37" VARCHAR2(200 BYTE),
	"F38" VARCHAR2(200 BYTE),
	"F39" VARCHAR2(200 BYTE),
	"F40" VARCHAR2(200 BYTE),
	"F41" VARCHAR2(200 BYTE),
	"F42" VARCHAR2(200 BYTE),
	"F43" VARCHAR2(200 BYTE),
	"F44" VARCHAR2(200 BYTE),
	"F45" VARCHAR2(4000 BYTE),
	"F46" VARCHAR2(4000 BYTE),
	"F47" VARCHAR2(4000 BYTE),
	"F48" VARCHAR2(4000 BYTE),
	"F49" VARCHAR2(4000 BYTE),
	"F50" VARCHAR2(4000 BYTE),
	CONSTRAINT ACTIVITY_PK PRIMARY KEY (TARGET , SEQ )
)   TABLESPACE SET TSP_SET_1
PARTITION BY CONSISTENT HASH (TARGET) PARTITIONS AUTO;

COMMENT ON COLUMN "APPTEST"."ACTIVITY"."TARGET" IS '目标';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."SEQ" IS '序列';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."TASK_ID" IS '任务ID';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."TASK_STATUS" IS '任务状态';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."SAVE_TIME" IS '入库时间';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."READ_STATUS" IS '已读状态';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."READ_NAME" IS '已读人姓名';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."READ_TIME" IS '已读时间';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."REMARKS" IS '批注';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."EVENT_STARTTIME" IS '事件发生开始时间';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."EVENT_ENDTIME" IS '事件发生结束时间';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."EVENT_TYPE" IS '事件类型';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."DURATION" IS '事件持续时间';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."CONTENT" IS '事件内容';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."FILE_PATH" IS '文件路径';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."FILE_INFO" IS '文件内容';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."PROTOCOL" IS '协议类型';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."STATE" IS '事件状态';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."ISP" IS 'ISP';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."NETWORK" IS '网络';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."NETNAME" IS '网元';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."MEMO" IS '备注';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."S_ID" IS '本端ID';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."S_ACCOUNT" IS '本端账号';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."S_NAME" IS '本端姓名';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."S_NICKNAME" IS '本端妮称';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."S_IDNO" IS '本端身份证号';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."S_PHONENUM" IS '本端电话号码';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."S_EMAIL" IS '本端EMAIL';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."S_SEX" IS '本端性别';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."S_PROVINCE" IS '本端所在省份';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."S_HOMEREA" IS '本端家庭地址';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."S_IP" IS '本端IP';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."S_MAC" IS '本端MAC';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."S_IMEI" IS '本端IMEI';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."S_IMSI" IS '本端IMSI';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."S_LOCATION" IS '本端地址';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."S_LONGITUDE" IS '本端经度';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."S_LATITUDE" IS '本端纬度';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."T_ID" IS '对端ID';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."T_ACCOUNT" IS '对端账号';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."T_NAME" IS '对端姓名';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."T_NICKNAME" IS '对端妮称';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."T_IDNO" IS '对端身份证号';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."T_PHONENUM" IS '对端电话号码';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."T_PHONENUMTYPE" IS '对端电话号码类型';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."T_EMAIL" IS '对端EMAIL';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."T_SEX" IS '对端性别';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."T_IP" IS '对端IP';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."T_PROVINCE" IS '对端所在省份';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."T_HOMEAREA" IS '对端家庭地址';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."T_MAC" IS '对端MAC';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."T_IMEI" IS '对端IMEI';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."T_IMSI" IS '对端IMSI';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."T_LOCATION" IS '对端当前地址';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."T_LONGITUDE" IS '对端经度';
COMMENT ON COLUMN "APPTEST"."ACTIVITY"."T_LATIUDE" IS '对端纬度';